org.apache.lucene.index

## Class AssertingAtomicReader.AssertingSortedDocValues

- java.lang.Object
- - org.apache.lucene.index.BinaryDocValues
  - - org.apache.lucene.index.SortedDocValues
    - - org.apache.lucene.index.AssertingAtomicReader.AssertingSortedDocValues

Enclosing class:
  AssertingAtomicReader

    public static class AssertingAtomicReader.AssertingSortedDocValues
    extends SortedDocValues

Wraps a SortedDocValues but with additional asserts

### Field Summary

### Fields inherited from class org.apache.lucene.index.SortedDocValues

`EMPTY`

### Fields inherited from class org.apache.lucene.index.BinaryDocValues

`MISSING`

### Constructor Summary

Constructors
Constructor and Description
`AssertingAtomicReader.AssertingSortedDocValues(SortedDocValues in, int maxDoc)`

### Method Summary

Methods
`void` `get(int docID, BytesRef result)`
`int` `getOrd(int docID)`
`int` `getValueCount()`
`void` `lookupOrd(int ord, BytesRef result)`
`int` `lookupTerm(BytesRef key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssertingAtomicReader.AssertingSortedDocValues

    public AssertingAtomicReader.AssertingSortedDocValues(SortedDocValues in,
                                                  int maxDoc)

### Method Detail

#### getOrd

    public int getOrd(int docID)

Specified by:
  `getOrd` in class `SortedDocValues`

#### lookupOrd

    public void lookupOrd(int ord,
                 BytesRef result)

Specified by:
  `lookupOrd` in class `SortedDocValues`

#### getValueCount

    public int getValueCount()

Specified by:
  `getValueCount` in class `SortedDocValues`

#### get

    public void get(int docID,
           BytesRef result)

Overrides:
  `get` in class `SortedDocValues`

#### lookupTerm

    public int lookupTerm(BytesRef key)

Overrides:
  `lookupTerm` in class `SortedDocValues`